Subject: Re: [PATCH net] net/mlx4_en: correct the endianness of doorbell_qpn on big endian platform

From: Wei Yang <[email-masked]>
Date: Sat, 13 Dec 2014 11:13:38 +0800

On Mon, Dec 08, 2014 at 10:42:37PM +0800, Wei Yang wrote:
>On Mon, Dec 08, 2014 at 10:00:19AM +0000, David Laight wrote:
>>From: Eric Dumazet
>>> On Fri, 2014-12-05 at 21:31 -0800, David Miller wrote:
>>> 
>>> > Guys, let's figure out what we are doing with this patch.
>>> > --
>>> 
>>> Oh well, patch is fine, please apply it, thanks !
>>
>>I'm not to sure that the patch doesn't generate a software byteswap
>>followed by a byteswapping write on ppc - clearly not ideal.
>>It might even generate back to back software byteswaps.
>>
>>If the write to the doorbell register includes a byteswap on BE (ppc)
>>then there is no real value in keeping the value as BE.
>>
>>OTOH ppc ought to have ways of doing IO writes without the byteswap
>>(and byteswapping accesses to non-io memory for that matter).
>>
>>What happens on a BE system with BE peripherals is another matter.
>
>David
>
>Thanks for your comment.
>
>How about use __raw_writel() to replace the iowrite32()? Looks this is better,
>if so, I will make up another version for this.
>

Hi, David

If you prefer this way, I would like to send a new version for this.
Is it ok for you?

>>	David
>-- 
>Richard Yang
>Help you, Help me

-- 
Richard Yang
Help you, Help me